'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './successpop.less';
import modalStore from '@src/store/modal';
import { Button } from '../Button';

@observer
class Successpop extends React.Component {
  constructor(props) {
    super(props);
  }
  closePop(){
    modalStore.closePop("Successpop")
  }
  render() {
    return (
      <div className="successpop modal_center">
        <Button className="close" onClick={this.closePop}></Button>
        <span className="bg"></span>
        <div className="barbox">
          <span className="barbg"></span>
          <span className="bar"></span>
        </div>
        <Button className="btn" onClick={this.closePop}></Button>
        <span className="score"><p>本次我赚了{this.props.popData.score}</p><p>获得{this.props.popData.sendCount}青果</p></span>
      </div>
    );
  }
}
export default Successpop;
